Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.config.internal.util
Class ServiceAttributeCallback

    java.lang.Object
      org.eclipse.gemini.blueprint.config.internal.util.ServiceAttributeCallback

All Implemented Interfaces:
  AttributeCallback

    public class ServiceAttributeCallback

extends Object
implements AttributeCallback

<service> attribute callback.

Author:
  Costin Leau

Constructor Summary
`ServiceAttributeCallback()`

Method Summary
`boolean` | `process(Element parent, Attr attribute, org.springframework.beans.factory.support.BeanDefinitionBuilder bldr)` Process the given attribute using the contextual element and bean builder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAttributeCallback

    public ServiceAttributeCallback()

Method Detail

### process

    public boolean process(Element parent,
                           Attr attribute,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder bldr)

  Description copied from interface: `AttributeCallback`
  Process the given attribute using the contextual element and bean builder. Normally, the callback will interact with the bean definition and set some properties.

  If the callback has intercepted an attribute, it can stop the invocation of the rest of the callbacks on the stack by returning false.

  Specified by:
    `process` in interface `AttributeCallback`
  Parameters:
    `parent` - parent element
    `attribute` - current intercepted attribute
    `bldr` - builder holding the current bean definition
  Returns:
    true if the rest of the callbacks should be called or false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.